Intrusion Prevention

Opera.JavaScript.Alert.Overflow

Description

This indicates an attack attempt against a buffer-overflow vulnerability in
Opera.
This vulnerability is due to an error when the vulnerable software handles an overly long parameter to the JavaScript "Alert" function. An attacker may exploit this to execute arbitrary code.

Affected Products

Opera 10.10

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Upgrade to the latest version, available from the vendor's web site:
http://www.opera.com/